# SubmitInteropDocument

Submit a document

`POST /interop/documents`

**API:** Avalara E-Invoicing API
**Tag:** Interop
**API Version:** 1.6
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.6/methods/Interop/SubmitInteropDocument/

## Description

Upload documents on behalf of interoperability partners and submit them to trading partners through the Avalara platform.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `documentType` | string | query | Yes | Type of the document being uploaded. Partners will be configured in Avalara system to send only certain types of documents. |
| `interchangeType` | string | query | Yes | Type of interchange (codes in Avalara system that uniquely identifies a type of interchange). Partners will be configured in Avalara system to send documents belonging to certain types of interchanges. |
| `avalara-version` | string | header | Yes | Header that specifies the API version to use (for example "1.6"). |
| `X-Avalara-Client` | string | header | No | Optional header for a client identifier string used for diagnostics (for example "Fingerprint"). |
| `X-Correlation-ID` | string | header | No | Optional correlation identifier provided by the caller to trace the call (for example "f3f0d19a-01a1-4748-8a58-f000d0424f43"). |

## Request Body

**Content-Type:** `multipart/form-data`

## Responses

| Status | Description | Schema |
|---|---|---|
| 202 | Document accepted for processing. Returns the interchange ID and acceptance message. This is a transport acknowledgment; processing occurs asynchronously. |  |
| 400 | Bad request. The request is invalid or contains missing or incorrect parameters. | `ErrorResponse` |
| 401 | Unauthorized. | `ErrorResponse` |
| 403 | Forbidden. | `ErrorResponse` |
| 500 | Internal server error. | `ErrorResponse` |

## Example Request

```bash
curl -X POST "https://api.sbx.avalara.com/einvoicing/interop/documents" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```